Bug 255258

Summary: www/p5-HTML-Selector-XPath: Update to 0.25
Product: Ports & Packages Reporter: Gian-Simon Purkert <gspurki>
Component: Individual Port(s)Assignee: Nuno Teixeira <eduardo>
Status: Closed FIXED    
Severity: Affects Only Me CC: dbaio, eduardo, smatsui, ygy
Priority: --- Flags: dbaio: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://metacpan.org/changes/distribution/HTML-Selector-XPath
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255256
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255257
Attachments:
Description Flags
Update to 0.25 none

Description Gian-Simon Purkert 2021-04-20 12:36:35 UTC
Created attachment 224293 [details]
Update to 0.25
Comment 1 Gian-Simon Purkert 2021-06-07 10:54:34 UTC
Any News?
Comment 2 Nuno Teixeira freebsd_committer 2021-06-08 07:07:15 UTC
Hello!

Just one small correction:

Update your diff and replace PORTVERSION with DISTVERSION

---
Example 2. Using DISTVERSION

When the version only contains numbers separated by dots, dashes or underscores, use DISTVERSION.

PORTNAME=   nekoto
DISTVERSION=	1.2-4

It will generate a PORTVERSION of 1.2.4.
---
https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
Comment 3 Danilo G. Baio freebsd_committer 2021-06-16 00:03:29 UTC
maintainer timeout
Comment 4 Guangyuan Yang freebsd_committer 2021-06-16 23:01:01 UTC
(In reply to Danilo G. Baio from comment #3)

I feel like we can wait for 3 months and reset the maintainership? The maintainer seems no longer active for a while.
Comment 5 Danilo G. Baio freebsd_committer 2021-06-16 23:29:19 UTC
https://reviews.freebsd.org/D30769

We have now three consecutive timeouts, bugs 255256 255257, and 255258.
All ports can be reset.


If the current maintainer wants to hold them, just answer any PR before the commit.

This is a normal procedure. And we all appreciate his past efforts and hope to see him back in the future.
Comment 6 Guangyuan Yang freebsd_committer 2021-06-16 23:52:04 UTC
(In reply to Danilo G. Baio from comment #5)

Sounds good - the maintainer has already expressed interest in 255256/7, so I will proceed to reset them.

Of course, we hope to see him back in the future :)
Comment 7 commit-hook freebsd_committer 2021-07-03 10:35:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=707989ed0f7c83660cfb8213641054207a3de529

commit 707989ed0f7c83660cfb8213641054207a3de529
Author:     Nuno Teixeira <eduardo@FreeBSD.org>
AuthorDate: 2021-07-03 10:30:37 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-07-03 10:30:37 +0000

    */*: Maintainer reset for smatsui@karashi.org

    Many consecutive timeouts.  We thank smatsui for all his efforts and
    hope to see him back in the future.

    PR:             255256
    PR:             255257
    PR:             255258 [1]
    Approved by:    maintainer timeout (smatsui@karashi.org, > 2 months), dbaio (mentor)
    Approved by:    portmgr (adamw) [1]
    Differential Revision:  https://reviews.freebsd.org/D30769 [1]

 devel/p5-File-chmod/Makefile                      | 2 +-
 net/pear-Net_UserAgent_Mobile/Makefile            | 2 +-
 shells/p5-Shell-Perl/Makefile                     | 2 +-
 textproc/p5-HTML-Entities-ImodePictogram/Makefile | 2 +-
 www/p5-HTML-Selector-XPath/Makefile               | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)
Comment 8 Danilo G. Baio freebsd_committer 2021-07-03 14:03:12 UTC
port not updated, reopening...
Comment 9 commit-hook freebsd_committer 2021-07-03 17:07:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ca7285a75a1de0ca790ea75eda3e668ec2380049

commit ca7285a75a1de0ca790ea75eda3e668ec2380049
Author:     Gian-Simon Purkert <gspurki@gmail.com>
AuthorDate: 2021-07-03 17:04:19 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-07-03 17:04:19 +0000

    www/p5-HTML-Selector-XPath: Update to 0.25

    - pet portlint

    ChangeLog: https://metacpan.org/changes/distribution/HTML-Selector-XPath

    PR:             255258
    Approved by:    dbaio, garga (mentors, implicit)

 www/p5-HTML-Selector-XPath/Makefile | 4 ++--
 www/p5-HTML-Selector-XPath/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 10 Nuno Teixeira freebsd_committer 2021-07-03 17:16:43 UTC
Committed thanks!